Package com.macrofocus.high_d.parallelcoordinates

# Interface ParallelCoordinatesView<Component,Color,Row,Column>

All Superinterfaces:
  `com.macrofocus.crossplatform.CPComponent<Component>`, `com.macrofocus.crossplatform.CPInteractiveComponent<Component>`

All Known Implementing Classes:
  `AbstractParallelCoordinatesView`, `JavaFXParallelCoordinatesView`

public interface ParallelCoordinatesView<Component,Color,Row,Column> extends com.macrofocus.crossplatform.CPInteractiveComponent<Component>
Main class for the view part of ParallelCoordinates.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Interface
  Description
  `static interface`
  `ParallelCoordinatesView.DragListener`
  `static interface`
  `ParallelCoordinatesView.HeaderListener`
  `static enum`
  `ParallelCoordinatesView.PropertyType`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addDragListener(ParallelCoordinatesView.DragListener listener)`
  `void`
  `addHeaderListener(ParallelCoordinatesView.HeaderListener listener)`
  `void`
  `dragAxisTo(com.macrofocus.high_d.axis.AxisView view, int shift)`
  Drag an axis with the specified offset.
  `MutableProperty<com.macrofocus.high_d.axis.Alignment>`
  `getAlignment()`
  `MutableProperty<Boolean>`
  `getAllowScrolling()`
  `MutableProperty<Boolean>`
  `getAntialiasing()`
  `com.macrofocus.high_d.axis.group.AxisGroupView`
  `getAxisGroupView(com.macrofocus.high_d.axis.group.AxisGroupModel axisGroup)`
  `MutableProperty<Boolean>`
  `getAxisLine()`
  `com.macrofocus.high_d.axis.AxisView`
  `getAxisView(com.macrofocus.high_d.axis.AxisModel axisModel)`
  Gets the view associated with a given axis.
  `int`
  `getAxisX(com.macrofocus.high_d.axis.group.AxisGroupModel axisGroup, com.macrofocus.high_d.axis.AxisModel axisModel)`
  Gets the position along the X axis of an axis.
  `Row`
  `getClosestRow(int x, int y)`
  `MutableProperty<Float>`
  `getColoredTransparency()`
  `MutableProperty<com.macrofocus.igraphics.colortheme.ColorTheme<Color>>`
  `getColorTheme()`
  Returns the color theme to use.
  `MutableProperty<Integer>`
  `getColumnSize()`
  `MutableProperty<Geometry>`
  `getGeometry()`
  `int`
  `getHeaderAxisGroupMaximumHeight()`
  `int`
  `getHeaderAxisMaximumHeight()`
  `int`
  `getHeight()`
  `ParallelCoordinatesModel<Color,Row,Column>`
  `getModel()`
  Returns the ParallelCoordinatesModel that provides the data displayed by this ParallelCoordinatesView.
  `Component`
  `getNativeComponent()`
  `ParallelCoordinatesLayout`
  `getParallelCoordinatesLayout()`
  Returns the class responsible for laying out the components of the parallel coordinates plot.
  `MutableProperty<Boolean>`
  `getProbeFiltered()`
  `MutableProperty<com.macrofocus.crossplatform.CPCanvas.Rendering>`
  `getRendering()`
  `Collection<Row>`
  `getRows(com.macrofocus.geom.Rectangle2D rect)`
  Returns the nodes overlapping the specified rectangle.
  `com.macrofocus.rubberband.RubberBand`
  `getRubberBand()`
  `MutableProperty<Boolean>`
  `getShowFiltered()`
  `MutableProperty<Boolean>`
  `getShowProbedValues()`
  `MutableProperty<Boolean>`
  `getShowVisible()`
  `MutableProperty<Boolean>`
  `getTooltip()`
  `int`
  `getWidth()`
  `void`
  `headerSelected(com.macrofocus.high_d.axis.AxisView view, int clickCount)`
  `boolean`
  `isSelectionMode()`
  `boolean`
  `isShowTiming()`
  Returns whether information about refresh rate should be displayed.
  `void`
  `removeDragListener(ParallelCoordinatesView.DragListener listener)`
  `void`
  `removeHeaderListener(ParallelCoordinatesView.HeaderListener listener)`
  `void`
  `setAllowScrolling(MutableProperty<Boolean> allowScrolling)`
  `void`
  `setAntialiasing(MutableProperty<Boolean> antialiasing)`
  `void`
  `setColorTheme(MutableProperty<com.macrofocus.igraphics.colortheme.ColorTheme<Color>> colorTheme)`
  Sets the color theme to use.
  `void`
  `setGeometry(MutableProperty<Geometry> geometry)`
  `void`
  `setLicenseModel(LicenseModel licenseModel)`
  `void`
  `setModel(ParallelCoordinatesModel model)`
  Sets the data model and registers with it for listener notifications from the new data model.
  `void`
  `setRendering(MutableProperty<com.macrofocus.crossplatform.CPCanvas.Rendering> rendering)`
  `void`
  `setSelectionMode(boolean value)`
  `void`
  `setShowFiltered(MutableProperty<Boolean> showFiltered)`
  `void`
  `setShowTiming(boolean showTiming)`
  Sets whether information about refresh rate should be displayed.
  `void`
  `setTooltip(MutableProperty<Boolean> tooltip)`
  `void`
  `startDragging(com.macrofocus.high_d.axis.AxisView view)`
  Start dragging an axis.
  `void`
  `stopDragging(com.macrofocus.high_d.axis.AxisView view)`
  Stop dragging an axis.
  `void`
  `waitUntilReady()`
  Wait until the parallel coordinates plot has been fully rendered.

  ### Methods inherited from interface com.macrofocus.crossplatform.CPComponent

  `setStyleClass`

  ### Methods inherited from interface com.macrofocus.crossplatform.CPInteractiveComponent

  `addMouseListener, addMouseMotionListener, removeMouseListener, removeMouseMotionListener`

- ## Method Details

  - ### getColumnSize

    MutableProperty<Integer> getColumnSize()

  - ### getNativeComponent

    Component getNativeComponent()
    Specified by:
      `getNativeComponent` in interface `com.macrofocus.crossplatform.CPComponent<Component>`

  - ### getClosestRow

    Row getClosestRow(int x, int y)

  - ### getRows

    Collection<Row> getRows(com.macrofocus.geom.Rectangle2D rect)
    Returns the nodes overlapping the specified rectangle.
    Parameters:
      `rect` - the rectangle in screen coordinates
    Returns:
      the list of nodes

  - ### getRubberBand

    com.macrofocus.rubberband.RubberBand getRubberBand()

  - ### isSelectionMode

    boolean isSelectionMode()

  - ### setSelectionMode

    void setSelectionMode(boolean value)

  - ### getWidth

    int getWidth()

  - ### getHeight

    int getHeight()

  - ### getAlignment

    MutableProperty<com.macrofocus.high_d.axis.Alignment> getAlignment()

  - ### getShowVisible

    MutableProperty<Boolean> getShowVisible()

  - ### getColoredTransparency

    MutableProperty<Float> getColoredTransparency()

  - ### getProbeFiltered

    MutableProperty<Boolean> getProbeFiltered()

  - ### getAllowScrolling

    MutableProperty<Boolean> getAllowScrolling()

  - ### isShowTiming

    boolean isShowTiming()
    Returns whether information about refresh rate should be displayed.
    Returns:
      true to display refresh rate information, false otherwise

  - ### setShowTiming

    void setShowTiming(boolean showTiming)
    Sets whether information about refresh rate should be displayed.
    Parameters:
      `showTiming` - true to display refresh rate information, false otherwise

  - ### getAxisGroupView

    com.macrofocus.high_d.axis.group.AxisGroupView getAxisGroupView(com.macrofocus.high_d.axis.group.AxisGroupModel axisGroup)

  - ### getAxisView

    com.macrofocus.high_d.axis.AxisView getAxisView(com.macrofocus.high_d.axis.AxisModel axisModel)
    Gets the view associated with a given axis.
    Parameters:
      `axisModel` - the axis
    Returns:

  - ### setLicenseModel

    void setLicenseModel(LicenseModel licenseModel)

  - ### setModel

    void setModel(ParallelCoordinatesModel model)
    Sets the data model and registers with it for listener notifications from the new data model.
    Parameters:
      `model` - the new data model
    See Also:
      - `getModel()`

  - ### getModel

    ParallelCoordinatesModel<Color,Row,Column> getModel()
    Returns the ParallelCoordinatesModel that provides the data displayed by this ParallelCoordinatesView.
    Returns:
      the ParallelCoordinatesModel that provides the data displayed by this ParallelCoordinatesView
    See Also:
      - `setModel(com.macrofocus.high_d.parallelcoordinates.ParallelCoordinatesModel)`

  - ### startDragging

    void startDragging(com.macrofocus.high_d.axis.AxisView view)
    Start dragging an axis.
    Parameters:
      `view` - the axis to drag

  - ### stopDragging

    void stopDragging(com.macrofocus.high_d.axis.AxisView view)
    Stop dragging an axis. This will usually trigger a layout of the parallel coordinates plot.
    Parameters:
      `view` - the axis that has been dragged

  - ### dragAxisTo

    void dragAxisTo(com.macrofocus.high_d.axis.AxisView view, int shift)
    Drag an axis with the specified offset.
    Parameters:
      `view` - the axis
      `shift` - the offset

  - ### headerSelected

    void headerSelected(com.macrofocus.high_d.axis.AxisView view, int clickCount)

  - ### getColorTheme

    MutableProperty<com.macrofocus.igraphics.colortheme.ColorTheme<Color>> getColorTheme()
    Returns the color theme to use.
    Returns:
      the color theme

  - ### setColorTheme

    void setColorTheme(MutableProperty<com.macrofocus.igraphics.colortheme.ColorTheme<Color>> colorTheme)
    Sets the color theme to use.
    Parameters:
      `colorTheme` - the color theme to use

  - ### waitUntilReady

    void waitUntilReady()
    Wait until the parallel coordinates plot has been fully rendered.

  - ### getHeaderAxisGroupMaximumHeight

    int getHeaderAxisGroupMaximumHeight()

  - ### getHeaderAxisMaximumHeight

    int getHeaderAxisMaximumHeight()

  - ### getParallelCoordinatesLayout

    ParallelCoordinatesLayout getParallelCoordinatesLayout()
    Returns the class responsible for laying out the components of the parallel coordinates plot.
    Returns:
      the layout engine

  - ### getAxisX

    int getAxisX(com.macrofocus.high_d.axis.group.AxisGroupModel axisGroup, com.macrofocus.high_d.axis.AxisModel axisModel)
    Gets the position along the X axis of an axis.
    Parameters:
      `axisModel` - the axis
    Returns:
      its position along the X axis

  - ### getShowFiltered

    MutableProperty<Boolean> getShowFiltered()

  - ### setShowFiltered

    void setShowFiltered(MutableProperty<Boolean> showFiltered)

  - ### getRendering

    MutableProperty<com.macrofocus.crossplatform.CPCanvas.Rendering> getRendering()

  - ### setRendering

    void setRendering(MutableProperty<com.macrofocus.crossplatform.CPCanvas.Rendering> rendering)

  - ### getAntialiasing

    MutableProperty<Boolean> getAntialiasing()

  - ### setAntialiasing

    void setAntialiasing(MutableProperty<Boolean> antialiasing)

  - ### getAxisLine

    MutableProperty<Boolean> getAxisLine()

  - ### getGeometry

    MutableProperty<Geometry> getGeometry()

  - ### setGeometry

    void setGeometry(MutableProperty<Geometry> geometry)

  - ### getTooltip

    MutableProperty<Boolean> getTooltip()

  - ### setTooltip

    void setTooltip(MutableProperty<Boolean> tooltip)

  - ### getShowProbedValues

    MutableProperty<Boolean> getShowProbedValues()

  - ### setAllowScrolling

    void setAllowScrolling(MutableProperty<Boolean> allowScrolling)

  - ### addDragListener

    void addDragListener(ParallelCoordinatesView.DragListener listener)

  - ### removeDragListener

    void removeDragListener(ParallelCoordinatesView.DragListener listener)

  - ### addHeaderListener

    void addHeaderListener(ParallelCoordinatesView.HeaderListener listener)

  - ### removeHeaderListener

    void removeHeaderListener(ParallelCoordinatesView.HeaderListener listener)